Bug 839248 - iptraf-ng cannot monitor ppp0
iptraf-ng cannot monitor ppp0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptraf-ng (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 07:26 EDT by Anand Renake
Modified: 2014-02-02 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version: iptraf-ng-1.1.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Renake 2012-07-11 07:26:14 EDT
Description of problem:
I need to monitor ppp0 connection. I started iptraf-ng -> "General interface statistics" 

Here all the interfaces [lo, virbr0, p5p1, wlan0] show activity, except ppp0.


Version-Release number of selected component (if applicable):
iptraf-ng-1.1.1-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect to internet using "mobile broadband" via NetworkManager [KDE]
2. Start iptraf-ng -> "General interface statistics" 
3. See no activity for Interface ppp0 when surfing the internet.
  
Actual results:
Shows 0.00 kbytes/sec while other interfaces are fine when used. For e.g. When I use internet using eth or wlan0, iptraf-ng shows activity. lo and virbr0 shows activity when pinged.

Expected results:
iptraf-ng should show me Activity for ppp0 as well.


Additional info: 
None.

Thank you!
Comment 1 Nikola Pajkovsky 2012-07-11 07:57:19 EDT
apply non-IP packet filter

Configure... -> Filters... -> Non-IP set to [Non-IP Visible], ppp0 should works out of box, otherwise there is different problem
Comment 2 Anand Renake 2012-07-11 08:21:14 EDT
Hi!

Main menu -> Filters -> Non-IP -> Non-IP visible 
Main menu -> Filters -> Non-IP -> Non-IP not visible 

Tried both. It doesnt work.

I dont know if it is important but in NetworkManager Applet, when I click/choose my mobile broadband, the graph is blank too.

Received:- Transmitted:-

_
Comment 3 Fedora End Of Life 2013-07-03 21:24:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora Update System 2013-07-23 11:26:34 EDT
iptraf-ng-1.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc19
Comment 5 Fedora Update System 2013-07-23 11:26:59 EDT
iptraf-ng-1.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el6
Comment 6 Fedora Update System 2013-07-23 11:27:38 EDT
iptraf-ng-1.1.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.el5
Comment 7 Fedora Update System 2013-07-23 11:28:16 EDT
iptraf-ng-1.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-1.fc18
Comment 8 Fedora Update System 2013-07-23 15:40:20 EDT
Package iptraf-ng-1.1.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iptraf-ng-1.1.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10955/iptraf-ng-1.1.4-1.el5
then log in and leave karma (feedback).
Comment 9 Fedora End Of Life 2013-08-01 16:09:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora Update System 2013-08-01 23:34:18 EDT
iptraf-ng-1.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-01 23:35:53 EDT
iptraf-ng-1.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-09-02 08:04:10 EDT
iptraf-ng-1.1.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc18
Comment 13 Fedora Update System 2013-09-02 08:04:49 EDT
iptraf-ng-1.1.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.fc19
Comment 14 Fedora Update System 2013-09-02 08:05:22 EDT
iptraf-ng-1.1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el5
Comment 15 Fedora Update System 2013-09-02 08:05:54 EDT
iptraf-ng-1.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iptraf-ng-1.1.4-2.el6
Comment 16 Fedora Update System 2013-09-10 21:50:59 EDT
iptraf-ng-1.1.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-10 21:53:20 EDT
iptraf-ng-1.1.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-17 13:26:31 EDT
iptraf-ng-1.1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-17 13:27:07 EDT
iptraf-ng-1.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.